"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRoot = exports.isValidPackageName = exports.packageName = exports.isScoped = exports.scopeRegEx = void 0;
const tslib_1 = require("tslib");
const config_1 = (0, tslib_1.__importDefault)(require("../../config"));
exports.scopeRegEx = "^@[a-z\\d][\\w-.]+/[a-z\\d][\\w-.]*$";
function isScoped(pkgName) {
    return new RegExp(exports.scopeRegEx, "i").test(pkgName);
}
exports.isScoped = isScoped;
exports.packageName = /^(@[a-z0-9-~][a-z0-9-._~]*\/)?[a-z0-9-~][a-z0-9-._~]*$/;
function isValidPackageName(pgkName) {
    return exports.packageName.test(pgkName);
}
exports.isValidPackageName = isValidPackageName;
const isRoot = (res) => { var _a; return ((_a = res.locals.user) === null || _a === void 0 ? void 0 : _a.name) === config_1.default.root.user; };
exports.isRoot = isRoot;
//# sourceMappingURL=index.js.map